@echo off
REM Este es un programa para copiar los archivos de sonido
REM para el escenario "Pacific Island" de Civilization II. 
REM Creado por Javier Arriaga, 23-II-2001.
if exist pacific.scn goto SI
echo ERROR: I can't find file "pacific.scn". Make sure
echo	    you are running from the correct directory.
goto END	
:SI
if exist ..\civ2.exe set fuente=..\sound
if exist ..\..\civ2.exe set fuente=..\..\sound
if exist ..\..\..\civ2.exe set fuente=..\..\..\sound
if exist ..\..\..\..\civ2.exe set fuente=..\..\..\..\sound
if %fuente% == "" goto ERROR
md sound
copy %fuente%\aircombt.wav sound
copy %fuente%\divebomb.wav sound
copy %fuente%\divcrash.wav sound
copy %fuente%\engnsput.wav sound
copy %fuente%\infantry.wav sound
copy %fuente%\biggun.wav sound
copy %fuente%\mchnguns.wav sound
move missile.wav sound
copy %fuente%\diesel.wav sound
cd sound
rename aircombt.wav jetcombt.wav
rename divebomb.wav jetbomb.wav
rename divcrash.wav jetcrash.wav
rename engnsput.wav jetsputr.wav
rename infantry.wav extra1.wav
rename biggun.wav extra2.wav
rename mchnguns.wav extra3.wav
rename diesel.wav extra4.wav
cd..
cls
echo Sound files installed. Pleased verify a "sound" sub-directory
echo has been created in your "pacific" directory.
goto END
:ERROR
echo error: I wasn't able to find the civ2 game directory, try
echo        installing the scenario on civ2\scenario\pacific.
:END
rem End of program